% samcost2d.m
% plots SAM cost in system space for a 2-tap combined channel
% (FSE scenario)
%
% written by Jaiganesh Balakrishnan, January 2002
% Last updated on 06/20/2002 by Rick Martin
% Cornell University Blind Equalization Research Group
%
%     Copyright 2002 Cornell University, All Rights Reserved
%
%     SOFTWARE shall mean "samcost2d.m", Cornell Research Foundation 
%     ("CRF") Docket D-3006.  SOFTWARE is made available to allow
%     non-commercial and research use of SOFTWARE.  Cornell
%     University specifically reserves all commercial rights to
%     SOFTWARE and these rights may be licensed by CRF on behalf   
%     of Cornell University to third parties.
%
%     CRF provides SOFTWARE on an ``as is'' basis.  CRF does not
%     warrant, guarantee, or make any representations regarding 
%     the use or results of SOFTWARE with respect to its
%     correctness, accuracy, reliability or performance.  The
%     entire risk of the use and performance of SOFTWARE is  
%     assumed by EVALUATOR.  ALL WARRANTIES INCLUDING, WITHOUT
%     LIMITATION, ANY WARRANTY OF FITNESS  FOR A PARTICULAR   
%     PURPOSE OR MERCHANTABILITY ARE HEREBY EXCLUDED.

J=[];
for thet=0:2*pi/500:2*pi,
   h=[cos(thet) sin(thet)];
   R=conv(fliplr(h),h);
   J=[J R(1)^2];
end;

figure(1);
clf;
set(0,'DefaultAxesFontSize',16);
thet=0:2*pi/500:2*pi;
line(cos(thet),sin(thet),J,'LineWidth',2);
hold on
plot(cos(thet),sin(thet),'r--','Linewidth',0.5);
hold off
xlabel('h(0)','Fontsize',16);
ylabel('h(1)','Fontsize',16);
zlabel('Cost Function','Fontsize',16);
grid on

% after this line is evaluated, the user must click
% on the plot and rotate it to the desired orientation
rotate3d on
