function y=i2r(x)
% y = i2r(x)
%    Takes a frequency signal and prepares it for IFFT
%    (IFFT of original signal would be imaginary.  "Doubling"
%    of signal provides symmetry to make IFFT output real.)
%
%    This version taken from FRODO/MERRY files on 05/20/2002
%    Written by Rick Martin, last updated on 05/20/2002
%    Cornell University Blind Equalization Research Group
%
%     Copyright 2002 Cornell University, All Rights Reserved
%
%     SOFTWARE shall mean "i2r.m", Cornell Research Foundation 
%     ("CRF") Docket D-3006.  SOFTWARE is made available to allow
%     non-commercial and research use of SOFTWARE.  Cornell
%     University specifically reserves all commercial rights to
%     SOFTWARE and these rights may be licensed by CRF on behalf   
%     of Cornell University to third parties.
%
%     CRF provides SOFTWARE on an ``as is'' basis.  CRF does not
%     warrant, guarantee, or make any representations regarding 
%     the use or results of SOFTWARE with respect to its
%     correctness, accuracy, reliability or performance.  The
%     entire risk of the use and performance of SOFTWARE is  
%     assumed by EVALUATOR.  ALL WARRANTIES INCLUDING, WITHOUT
%     LIMITATION, ANY WARRANTY OF FITNESS  FOR A PARTICULAR   
%     PURPOSE OR MERCHANTABILITY ARE HEREBY EXCLUDED.

y = [sqrt(2)*real(x(1)) x(2:length(x)) ...
     sqrt(2)*imag(x(1)) conj(fliplr(x(2:length(x))))];

% The factors of sqrt(2) make E[y y^h] = constant * eye(N)
